Subject: Re: Booting uncompressed kernel image

From: Matteo Fortini <[email-masked]>
Date: Tue, 27 Jan 2009 11:03:52 +0100

You're right,
to be precise, the --no-gzip option was given to the wrapper script, the 
option I gave to mkimage was -C none.

The change in the wrapper script was adding:
case "$platform" in
ubootraw)
    rm -f "$ofile"
    mkimage -A ppc -O linux -T kernel -C none -a 00000000 -e 00000000 \
    $uboot_version -d "$vmz" "$ofile"
    if [ -z "$cacheit" ]; then
    rm -f "$vmz"
    fi
    exit 0
    ;;
esac

and I called wrapper as
./arch/powerpc/boot/wrapper  -c -o arch/powerpc/boot/uImage -p ubootraw 
-C "powerpc-e300c3-linux-gnu-" --no-gzip vmlinux

Anyway, I'll check the solution given by Luotao, thanks!

Regards,
Matteo

Wolfgang Denk ha scritto:
> Dear Matteo Fortini,
>
> In message <[email-masked]> you wrote:
>   
>> I built an uncompressed uImage using mkimage --no-gzip -C none in the 
>> wrapper scripts.
>>     
>
> Hm... you must be using a funny version of mkimage, then. The cod in
> mainline will bail out on "--no-gzip".
>
> Best regards,
>
> Wolfgang Denk
>
>